package com.ruoyi.mqtt.dto.task;

import java.util.List;

/**
 * 目标点信息
 */
public class TargetInfo {
    
    /**
     * 地图名称
     */
    private String roadmap;
    
    /**
     * 目标点ID列表
     */
    private List<Integer> nid;
    
    /**
     * 目标点坐标列表 [[x1,y1], [x2,y2], ...]
     */
    private List<List<Double>> coord;
    
    public String getRoadmap() {
        return roadmap;
    }
    
    public void setRoadmap(String roadmap) {
        this.roadmap = roadmap;
    }
    
    public List<Integer> getNid() {
        return nid;
    }
    
    public void setNid(List<Integer> nid) {
        this.nid = nid;
    }
    
    public List<List<Double>> getCoord() {
        return coord;
    }
    
    public void setCoord(List<List<Double>> coord) {
        this.coord = coord;
    }
}
